Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1898540 - [abrt] blender: draw(): properties_grease_pencil_common.py:632:draw:AttributeError: 'Mesh' object has no attribute 'use_stroke_edit_mode'
Summary: [abrt] blender: draw(): properties_grease_pencil_common.py:632:draw:Attribute...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blender
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7ba6f2440b2cc861f537cda41b4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-17 13:13 UTC by Bill Crawford
Modified: 2020-12-07 01:16 UTC (History)
5 users (show)

Fixed In Version: blender-2.91.0-2.fc33 blender-2.83.9-1.fc32
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-04 19:52:08 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2020-11-17 13:13 UTC, Bill Crawford
no flags Details
File: cpuinfo (deleted)
2020-11-17 13:13 UTC, Bill Crawford
no flags Details
File: environ (deleted)
2020-11-17 13:13 UTC, Bill Crawford
no flags Details
File: mountinfo (deleted)
2020-11-17 13:13 UTC, Bill Crawford
no flags Details
File: namespaces (deleted)
2020-11-17 13:13 UTC, Bill Crawford
no flags Details
File: open_fds (deleted)
2020-11-17 13:13 UTC, Bill Crawford
no flags Details

Description Bill Crawford 2020-11-17 13:13:42 UTC
Description of problem:
I was trying to figure out how to share one Material instance after re-combining four duplicated meshes into one (I want them all to hve the same texture anyway).

Version-Release number of selected component:
1:blender-2.83.5-5.fc32

Additional info:
reporter:       libreport-2.13.1
cgroup:         0::/user.slice/user-1000.slice/session-2.scope
cmdline:        /usr/bin/blender
crash_function: draw
exception_type: AttributeError
executable:     /usr/bin/blender
interpreter:    blender-2.83.5-5.fc32.x86_64
kernel:         5.8.11-200.fc32.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
properties_grease_pencil_common.py:632:draw:AttributeError: 'Mesh' object has no attribute 'use_stroke_edit_mode'

Traceback (most recent call last):
  File "/usr/share/blender/2.83/scripts/startup/bl_ui/properties_grease_pencil_common.py", line 632, in draw
    if ob.data.use_stroke_edit_mode:
AttributeError: 'Mesh' object has no attribute 'use_stroke_edit_mode'

Local variables in innermost frame:
self: bpy.data.screens['Modeling']...MATERIAL_PT_gpencil_slots
context: <bpy_struct, Context at 0x7f3e7e4e1908>
layout: bpy.data.screens['Modeling']...UILayout
show_full_ui: True
is_view3d: False
tool_settings: bpy.data.scenes['Scene'].tool_settings
gpencil_paint: bpy.data.scenes['Scene'].tool_settings.gpencil_paint
brush: bpy.data.brushes['Pencil']
ob: bpy.data.objects['Bezel']
row: bpy.data.screens['Modeling']...UILayout
is_sortable: True
rows: 7
col: bpy.data.screens['Modeling']...UILayout
sub: bpy.data.screens['Modeling']...UILayout
slot: bpy.data.objects['Bezel'].material_slots[0]
icon_link: 'MESH_DATA'

Comment 1 Bill Crawford 2020-11-17 13:13:46 UTC
Created attachment 1730137 [details]
File: backtrace

Comment 2 Bill Crawford 2020-11-17 13:13:48 UTC
Created attachment 1730138 [details]
File: cpuinfo

Comment 3 Bill Crawford 2020-11-17 13:13:49 UTC
Created attachment 1730139 [details]
File: environ

Comment 4 Bill Crawford 2020-11-17 13:13:50 UTC
Created attachment 1730140 [details]
File: mountinfo

Comment 5 Bill Crawford 2020-11-17 13:13:52 UTC
Created attachment 1730141 [details]
File: namespaces

Comment 6 Bill Crawford 2020-11-17 13:13:53 UTC
Created attachment 1730142 [details]
File: open_fds

Comment 7 Fedora Update System 2020-11-28 21:17:29 UTC
FEDORA-2020-e807be8b1d has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e807be8b1d

Comment 8 Fedora Update System 2020-11-28 21:17:50 UTC
FEDORA-2020-1aef1e9bca has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1aef1e9bca

Comment 9 Fedora Update System 2020-11-29 02:08:22 UTC
FEDORA-2020-1aef1e9bca has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-1aef1e9bca`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1aef1e9bca

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-11-29 02:13:41 UTC
FEDORA-2020-e807be8b1d has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e807be8b1d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e807be8b1d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-12-04 19:52:08 UTC
FEDORA-2020-1aef1e9bca has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-12-07 01:16:37 UTC
FEDORA-2020-e807be8b1d has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.